EvictAllCommand (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.util
Class EvictAllCommand

    java.lang.Object
      org.infinispan.commands.remote.BaseRpcCommand
          org.hibernate.cache.infinispan.util.EvictAllCommand

All Implemented Interfaces:
  org.infinispan.commands.remote.CacheRpcCommand, org.infinispan.commands.ReplicableCommand

    public class EvictAllCommand

extends org.infinispan.commands.remote.BaseRpcCommand

Evict all command

Since:
  4.0

Field Summary

Fields inherited from class org.infinispan.commands.remote.BaseRpcCommand
`cacheName`

Constructor Summary
`EvictAllCommand(String regionName)`
`EvictAllCommand(String regionName, BaseRegion region)`

Method Summary
`byte` | `getCommandId()`
`Object[]` | `getParameters()`
`boolean` | `isReturnValueExpected()`
`Object` | `perform(org.infinispan.context.InvocationContext ctx)`
`void` | `setParameters(int commandId, Object[] parameters)`

Methods inherited from class org.infinispan.commands.remote.BaseRpcCommand
`getCacheName, getOrigin, setOrigin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvictAllCommand

    public EvictAllCommand(String regionName,
                           BaseRegion region)

### EvictAllCommand

    public EvictAllCommand(String regionName)

Method Detail

### perform

    public Object perform(org.infinispan.context.InvocationContext ctx)
                   throws Throwable

  Throws:
    `Throwable`

### getCommandId

    public byte getCommandId()

### getParameters

    public Object[] getParameters()

### setParameters

    public void setParameters(int commandId,
                              Object[] parameters)

### isReturnValueExpected

    public boolean isReturnValueExpected()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.